Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:2.4.0 Regression?: No

Operating System: Linux Mint (Ubuntu) Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19440

Description

When using "Translate (convert format)" from the GUI (gdal_translate), the export format in batch mode always outputs GeoTIFF files

even when a different format is selected (e.g., *.ASC).

While the outputted files have the appropriate extension (e.g., *.ASC), the files themselves are reported as GeoTIFF format when

examining metadata.

Above behaviour happens when converting TIF to either ASC or PIX formats. Didn't try other formats to see if the issue persists.

When not using batch mode, and specifying the output format (e.g., -of AAIGrid) in the command line edit box for gdal_translate, the files

export into their intended format. Metadata confirmed.

Associated revisions

Revision 890f921e - 2014-09-10 10:27 PM - Jürgen Fischer

fix #11110

History

#1 - 2014-09-10 11:28 AM - d d

- Target version changed from Future Release - High Priority to Version 2.6

#2 - 2014-09-10 11:45 AM - Jürgen Fischer

- Category changed from Browser to GDAL Tools

- Target version deleted (Version 2.6)

#3 - 2014-09-10 11:45 AM - Jürgen Fischer

- Priority changed from High to Normal

#4 - 2014-09-10 11:55 AM - Jürgen Fischer

- Subject changed from Translate (covert format) [gdal_translate]: export format in batch mode always outputs GeoTIFF to Translate (convert format) 

[gdal_translate]: export format in batch mode always outputs GeoTIFF

#5 - 2014-09-10 12:21 PM - d d

- Target version set to Version 2.6

This is clearly a bug and should be a high priority update for a future release (e.g., 2.6). I wasted several hours of processing time because the output

format is NOT what was specified within the dialog box. If this isn't fixed by the next release, the ability to use this option should NOT be available to the
end user, or the dialog box should specify that GeoTIFF is the only output option.

#6 - 2014-09-10 12:29 PM - d d

- Target version changed from Version 2.6 to Future Release - High Priority

#7 - 2014-09-10 12:41 PM - Jürgen Fischer

- Target version deleted (Future Release - High Priority)

d d wrote:

This is clearly a bug and should be a high priority update for a future release (e.g., 2.6). I wasted several hours of processing time because the

output format is NOT what was specified within the dialog box. If this isn't fixed by the next release, the ability to use this option should NOT be

available to the end user, or the dialog box should specify that GeoTIFF is the only output option.

By that definition almost any bug would high priority and would have to be fixed in the next release.  That won't happen as it's simply unfeasible.

#8 - 2014-09-10 01:13 PM - d d

- Target version set to Future Release - High Priority

Jürgen Fischer wrote:

d d wrote:

This is clearly a bug and should be a high priority update for a future release (e.g., 2.6). I wasted several hours of processing time because the

output format is NOT what was specified within the dialog box. If this isn't fixed by the next release, the ability to use this option should NOT be

available to the end user, or the dialog box should specify that GeoTIFF is the only output option.

By that definition almost any bug would high priority and would have to be fixed in the next release.  That won't happen as it's simply unfeasible.

That's a very narrow reading and rather flippant interpretation of my comment in the context of the submitted bug report.

While it's not my place to say what is or isn't feasible to fix by the next release date, my suggestion still stands. Hopefully it will be fixed or amended as

suggested in a future release.

#9 - 2014-09-10 01:30 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"890f921e06267d7bf2c0029bd0dedf014e5b5a49".

#10 - 2014-09-10 11:13 PM - Paolo Cavallini

d d please be kind with people who work hard everyday to bring you the best possible GIS, free for you to use
#11 - 2014-09-10 11:41 PM - Jürgen Fischer

- Target version deleted (Future Release - High Priority)

#12 - 2014-09-11 07:58 AM - d d

Paolo Cavallini wrote:

d d please be kind with people who work hard everyday to bring you the best possible GIS, free for you to use

It takes the whole community to make great software. Don't forget that we, the users of QGIS, also work hard everyday when we use, test, find and report

bugs. Without a healthy user base contributing to this effort, QGIS would not be the best possible GIS it is today (and it is, a great GIS).

I see no unkindness on my part in the above comments, but I am thankful that the issue was addressed, so thank you Jürgen. You (and I) have helped

contribute to making QGIS an even better piece of software, free for all to use.
